### Constructor

# Fwupd JcatBlob new_utf8

since: 2.1.3

#### Declaration [src]

    FwupdJcatBlob*
    fwupd_jcat_blob_new_utf8 (
      FwupdJcatBlobKind kind,
      const gchar* data
    )

#### Description [src]

Creates a new ASCII blob.

Available since: 2.1.3

#### Parameters

`kind`

  Type: `FwupdJcatBlobKind`

  `FwupdJcatBlobKind`, e.g. `FWUPD_JCAT_BLOB_KIND_SHA256`.

`data`

  Type: `const gchar*`

  ASCII data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdJcatBlob`

A `FwupdJcatBlob`.

The caller of the function takes ownership of the data, and is responsible for freeing it.